AGFreetextIndexConfig (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGFreetextIndexConfig

Package com.franz.agraph.repository

# Class AGFreetextIndexConfig

java.lang.Object
com.franz.agraph.repository.AGFreetextIndexConfig

public class AGFreetextIndexConfig extends Object
The class of freetext index configurations.

An index configuration can be customized and then used to create a new freetext index.

See documentation for freetext index parameters.

See Also:
  - `newInstance()`
  - `AGRepositoryConnection.createFreetextIndex(String, AGFreetextIndexConfig)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BORDER_CHARS`
  `static final String`
  `INDEX_FIELDS`
  `static final String`
  `INDEX_LITERAL_TYPES`
  `static final String`
  `INDEX_LITERALS`
  `static final String`
  `INDEX_RESOURCES`
  `static final String`
  `INNER_CHARS`
  `static final String`
  `MINIMUM_WORD_SIZE`
  `static final String`
  `PREDICATES`
  `static final String`
  `STOP_WORDS`
  `static final String`
  `TOKENIZER`
  `static final String`
  `WORD_FILTERS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getBorderChars()`
  See documentation for freetext index parameters.
  `List<String>`
  `getIndexFields()`
  See documentation for freetext index parameters.
  `boolean`
  `getIndexLiterals()`
  See documentation for freetext index parameters.
  `List<String>`
  `getIndexLiteralTypes()`
  See documentation for freetext index parameters.
  `String`
  `getIndexResources()`
  See documentation for freetext index parameters.
  `List<String>`
  `getInnerChars()`
  `int`
  `getMinimumWordSize()`
  See documentation for freetext index parameters.
  `List<org.eclipse.rdf4j.model.IRI>`
  `getPredicates()`
  See documentation for freetext index parameters.
  `List<String>`
  `getStopWords()`
  See documentation for freetext index parameters.
  `String`
  `getTokenizer()`
  See documentation for freetext index parameters.
  `List<String>`
  `getWordFilters()`
  See documentation for freetext index parameters.
  `static AGFreetextIndexConfig`
  `newInstance()`
  Returns a new instance having the default index configuration.
  `void`
  `setIndexLiterals(boolean bool)`
  See documentation for freetext index parameters.
  `void`
  `setIndexResources(String str)`
  See documentation for freetext index parameters.
  `void`
  `setMinimumWordSize(int size)`
  See documentation for freetext index parameters.
  `void`
  `setTokenizer(String tokenizerName)`
  See documentation for freetext index parameters.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PREDICATES

    public static final String PREDICATES
    See Also:
      - Constant Field Values

  - ### INDEX_LITERALS

    public static final String INDEX_LITERALS
    See Also:
      - Constant Field Values

  - ### INDEX_LITERAL_TYPES

    public static final String INDEX_LITERAL_TYPES
    See Also:
      - Constant Field Values

  - ### INDEX_RESOURCES

    public static final String INDEX_RESOURCES
    See Also:
      - Constant Field Values

  - ### INDEX_FIELDS

    public static final String INDEX_FIELDS
    See Also:
      - Constant Field Values

  - ### MINIMUM_WORD_SIZE

    public static final String MINIMUM_WORD_SIZE
    See Also:
      - Constant Field Values

  - ### STOP_WORDS

    public static final String STOP_WORDS
    See Also:
      - Constant Field Values

  - ### WORD_FILTERS

    public static final String WORD_FILTERS
    See Also:
      - Constant Field Values

  - ### INNER_CHARS

    public static final String INNER_CHARS
    See Also:
      - Constant Field Values

  - ### BORDER_CHARS

    public static final String BORDER_CHARS
    See Also:
      - Constant Field Values

  - ### TOKENIZER

    public static final String TOKENIZER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### newInstance

    public static AGFreetextIndexConfig newInstance()
    Returns a new instance having the default index configuration.

    The index configuration can be customized and then used to create a new freetext index.

    See documentation for freetext index parameters.

    Returns:
      AGFreetextIndexConfig the created config
    See Also:
      - `AGRepositoryConnection.createFreetextIndex(String, AGFreetextIndexConfig)`

  - ### getPredicates

    public List<org.eclipse.rdf4j.model.IRI> getPredicates()
    See documentation for freetext index parameters.
    Returns:
      List the Predicates being indexed

  - ### getIndexLiterals

    public boolean getIndexLiterals()
    See documentation for freetext index parameters.
    Returns:
      boolean the current IndexLiterals setting

  - ### setIndexLiterals

    public void setIndexLiterals(boolean bool)
    See documentation for freetext index parameters.
    Parameters:
      `bool` - true if Literals should be indexed, false if not

  - ### getIndexLiteralTypes

    public List<String> getIndexLiteralTypes()
    See documentation for freetext index parameters.
    Returns:
      the current IndexLiteralTypes setting

  - ### getIndexResources

    public String getIndexResources()
    See documentation for freetext index parameters.
    Returns:
      String the current indexResources setting

  - ### setIndexResources

    public void setIndexResources(String str)
    See documentation for freetext index parameters.
    Parameters:
      `str` - A string indicating how to index resources

  - ### getIndexFields

    public List<String> getIndexFields()
    See documentation for freetext index parameters.
    Returns:
      List the fields (s, p, o, g) being indexed

  - ### getMinimumWordSize

    public int getMinimumWordSize()
    See documentation for freetext index parameters.
    Returns:
      int the minimum word size associated with this config

  - ### setMinimumWordSize

    public void setMinimumWordSize(int size)
    See documentation for freetext index parameters.
    Parameters:
      `size` - the minimum word size to be set

  - ### getStopWords

    public List<String> getStopWords()
    See documentation for freetext index parameters.
    Returns:
      List the stop words associated with this config

  - ### getWordFilters

    public List<String> getWordFilters()
    See documentation for freetext index parameters.
    Returns:
      List the word filters associated with this config

  - ### getInnerChars

    public List<String> getInnerChars()

  - ### getBorderChars

    public List<String> getBorderChars()
    See documentation for freetext index parameters.
    Returns:
      List the border characters associated with this config

  - ### getTokenizer

    public String getTokenizer()
    See documentation for freetext index parameters.
    Returns:
      String name of the tokenizer

  - ### setTokenizer

    public void setTokenizer(String tokenizerName)
    See documentation for freetext index parameters.
    Parameters:
      `tokenizerName` - name of a valid tokenizer

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`